/**
 * 񑊎ID擾
 */
function getPartnerIdStr()
{
	local partnerIdStr = GetEngageNpc()		// 񑊎ID擾
	// fobON̑Ή
	if(!partnerIdStr){
		partnerIdStr = PersonalData.GetSex() == eSex.eSex_Male ? "Florist" : "Postman";
	}
	return partnerIdStr;
}

function NpcGenderCheck( charaIdStr)
{
	local charaGender = null
	switch(charaIdStr)
	{
		case "Postman":		charaGender = eSex.eSex_Male;		break;
		case "Doctor":		charaGender = eSex.eSex_Male;		break;
		case "Chaser":		charaGender = eSex.eSex_Male;		break;
		case "Apprentice":	charaGender = eSex.eSex_Male;		break;
		case "Craftman":	charaGender = eSex.eSex_Male;		break;
		case "Florist":		charaGender = eSex.eSex_Female;		break;
		case "TeaGirl":		charaGender = eSex.eSex_Female;		break;
		case "Teacher":		charaGender = eSex.eSex_Female;		break;
		case "TwinOlder":	charaGender = eSex.eSex_Female;		break;
		case "TwinYounger":	charaGender = eSex.eSex_Female;		break;
	}
	return charaGender;
}


// Cxg
local EventName = "Marriage_A"

// 񑊎ID擾
local partnerIdStr = "Postman" //getPartnerIdStr()

// bZ[W
local MSG_DATA = 
{
	Name = "Marriage_A"
	ID   = "MES_EV_LOVE_A_MARRIAGE_" 
}

// Jgp邽߂ɕKv
camera <- CameraChanger.GetCamera()

// vC[op
groom <- null

// Vw
bride <- null

// \ECg
soulmate <- null

// npcp
Postman <- null
Doctor <- null
Florist <- null
Uncle <- null
RestHus <- null
RestWife <- null
RestOldman <- null
AmericaFarmMan <- null
AmericaFarmSon <- null
StoreDa <- null
StoreWoman <- null
Witch <- null
Goddes <- null
Inari <- null
Summary <- null
// fB
Father <- null
// }[i
Mother <- null
// [l
Sister <- null





/**
 * Cxg
 */
function EventInitialize() : (EventName, partnerIdStr)
{
	// ɐݒ
	SetTime( 12, 0, 0)
	
	// ɌĂ
	LoadScript("StaffrollCommon", "Event/EventMain/StaffrollCommon.nut");
	StaffrollCommon();
	InitializeStaffrollWedding()
	
	EventInitializeCommon(EventName)
	
	// lAo^[fp[^ō쐬
	local avaterModelParamPlayer = AvatarModelParam.CreatePlayer();		// l̃Ao^[fp[^쐬
	if(eSex.eSex_Male == PersonalData.GetSex())
	{
		// jl̐ݒ
		avaterModelParamPlayer.SetAvatarHairModelId("006");			// G[gV[g
		avaterModelParamPlayer.SetAvatarBodyModelId("137_00");		// kČߑj
		avaterModelParamPlayer.SetAvatarHatModelId("Invalid");		// XqȂ
		avaterModelParamPlayer.SetAvatarGlassesModelId("Invalid");		// KlȂ
	}
	else
	{
		// l̐ݒ
		avaterModelParamPlayer.SetAvatarHairModelId("037");			// XEB[gJ[
		avaterModelParamPlayer.SetAvatarBodyModelId("138_00");		// kČߑ
		avaterModelParamPlayer.SetAvatarHatModelId("065");		// kČߑXq
		avaterModelParamPlayer.SetAvatarGlassesModelId("Invalid");		// KlȂ
	}
	// l̍쐬			//  f؂芷ɗLɂ
	local player = ObjectManager.CreateCharaByAvatarModelParam(avaterModelParamPlayer);
	
	
	local npcWeddingIdStr = null
	
	if(partnerIdStr == "Postman") {
		npcWeddingIdStr = "PostmanWedding"
	}
	else if(partnerIdStr == "Doctor") {
		npcWeddingIdStr = "DoctorWedding"
	}
	else {
		npcWeddingIdStr = "FloristWedding"
	}
	
	{
		// L̐
		{
			// VY̐ʂŕ
			if(NpcGenderCheck( partnerIdStr) == eSex.eSex_Female)
			{
				// VY
//				groom = ObjectManager.CreatePlayer()	// f؂芷ɍ폜
				groom = player							// f؂芷ɗLɂ

				
				// Vw
				bride = ObjectManager.CreateChara(npcWeddingIdStr)
			}
			else if (NpcGenderCheck( partnerIdStr) == eSex.eSex_Male)
			{
				// Vw
//				groom = ObjectManager.CreatePlayer()	// f؂芷ɍ폜
				groom = ObjectManager.CreateChara(npcWeddingIdStr)
				
				// VY
				bride = player
			}
			
			// L쐬p[^͕KvȂ̂ŁA폜
			AvatarModelParam.DeleteAll();
			
			//NPC̃ybgp
			// @memo bp[NX null `FbNsĖ肪oȂ悤ɂĂ.
			//       ǉ̏Kvȍۂ, bp[NXɂ֐ǉ悤.
			soulmate = SoulmateWrapClass()
			
			if(partnerIdStr == "Postman")
			{
				// [Vp
				Doctor = ObjectManager.CreateNpc("Doctor")
				
				// VFbgp
				Florist = ObjectManager.CreateNpc("Florist")
				

			}
			else if(partnerIdStr == "Doctor")
			{
				// \p
				Postman = ObjectManager.CreateNpc("Postman")
				
				// VFbgp
				Florist = ObjectManager.CreateNpc("Florist")
				
			}
			else if(partnerIdStr == "Florist")
			{
				// \p
				Postman = ObjectManager.CreateNpc("Postman")
				
				// [Vp
				Doctor = ObjectManager.CreateNpc("Doctor")
				
			}
			
			// nhp
			RestHus = ObjectManager.CreateNpc("RestaurantHusbund")
			
			// t[p
			RestWife = ObjectManager.CreateNpc("RestaurantWife")
			
			// }Rp
			RestOldman = ObjectManager.CreateNpc("RestaurantOldman")
			
			// wN^[p
			AmericaFarmMan = ObjectManager.CreateNpc("AmericaFarmMan")
			
			// [Cp
			AmericaFarmSon = ObjectManager.CreateNpc("AmericaFarmSon")
			
			// Aj[p
			StoreDa = ObjectManager.CreateNpc("StoreDaughter")
			
			// ~_p
			StoreWoman = ObjectManager.CreateNpc("StoreWoman")
			
			// ܂p
			Witch = ObjectManager.CreateNpc("Witch")
			
			// _܂p
			Goddes = ObjectManager.CreateNpc("Goddes")
			
			// Ci܂p
			Inari = ObjectManager.CreateNpc("Inari")
			
			// }[Vp
			Summary = ObjectManager.CreateNpc("AmericaFarmOldwoman")
			
			// }[i
			Mother = ObjectManager.CreateNpc("Mother")
			
			// [l
			Sister = ObjectManager.CreateNpc("Sister")
			
			// fB
			Father = ObjectManager.CreateNpc("Event_Father")
			
			// tNp
			Uncle = ObjectManager.CreateNpc("Uncle")
			
			// 肽L̐
			while(!ObjectManager.CreateWait()){}
		}
		
		// L̈ʒuw
		{
			{
				// VŸʒuݒ
				groom.SetCharaPos( -4.0, 80.0)
				// VY̌ݒ
				groom.SetRotY(Math.Deg2Rad(180.0))
				
				// Vw
				bride.SetCharaPos( 4.0, 80.0)
				bride.SetRotY(Math.Deg2Rad(180.0))
			}
			
			// \ECg̐ݒ
			soulmate.SetPos( 40.0, -53.0)
			soulmate.SetRotY(Math.Deg2Rad(270.0))
			
			if(partnerIdStr == "Postman")
			{
				// [V̈ʒuݒ
				Doctor.SetCharaPos( -37.0, -17.0)
				Doctor.SetRotY(Math.Deg2Rad(180.0))
				
				// VFbg̈ʒuݒ
				Florist.SetCharaPos( 37.0, -17.0)
				Florist.SetRotY(Math.Deg2Rad(180.0))
				
			}
			else if(partnerIdStr == "Doctor")
			{
				// \̈ʒuݒ
				Postman.SetCharaPos( -37.0, -17.0)
				Postman.SetRotY(Math.Deg2Rad(180.0))
					
				// VFbg̈ʒuݒ
				Florist.SetCharaPos( 37.0, -17.0)
				Florist.SetRotY(Math.Deg2Rad(180.0))
			}
			else if(partnerIdStr == "Florist")
			{
				// [V̈ʒuݒ
				Doctor.SetCharaPos( -37.0, -17.0)
				Doctor.SetRotY(Math.Deg2Rad(180.0))
					
				// \̈ʒuݒ
				Postman.SetCharaPos( 37.0, -17.0)
				Postman.SetRotY(Math.Deg2Rad(180.0))
			}
			
			// nḧʒuݒ
			RestHus.SetCharaPos( -37.0, -4.0)
			RestHus.SetRotY(Math.Deg2Rad(180.0))
			
			// t[̈ʒuݒ
			RestWife.SetCharaPos( -37.0, 9.0)
			RestWife.SetRotY(Math.Deg2Rad(180.0))
			
			// }R̈ʒuݒ
			RestOldman.SetCharaPos( -37.0, 22.0)
			RestOldman.SetRotY(Math.Deg2Rad(180.0))
			
			// wN^[̈ʒuݒ
			AmericaFarmMan.SetCharaPos( 37.0, -4.0)
			AmericaFarmMan.SetRotY(Math.Deg2Rad(180.0))
			
			// [C̈ʒuݒ
			AmericaFarmSon.SetCharaPos( 37.0, 5.0)
			AmericaFarmSon.SetRotY(Math.Deg2Rad(180.0))
			
			// Aj[̈ʒuݒ
			StoreDa.SetCharaPos( 37.0, 13.0)
			StoreDa.SetRotY(Math.Deg2Rad(180.0))
			
			// ~_̈ʒuݒ
			StoreWoman.SetCharaPos( 37.0, 22.0)
			StoreWoman.SetRotY(Math.Deg2Rad(180.0))
			
			// ܂̈ʒuݒ
			Witch.SetCharaPos( -37.0, 32.0)
			Witch.SetRotY(Math.Deg2Rad(180.0))
			
			// _܂̈ʒuݒ
			Goddes.SetCharaPos( -37.0, 40.0)
			Goddes.SetRotY(Math.Deg2Rad(180.0))
			
			// Ci܂̈ʒuݒ
			Inari.SetCharaPos( 37.0, 35.0)
			Inari.SetRotY(Math.Deg2Rad(180.0))
			
			// }[V̈ʒuݒ		:܂Ƃߖ
			Summary.SetCharaPos( 0.0, -106.5)
			Summary.SetRotY(Math.Deg2Rad(0.0))
			
			// fB̈ʒuݒ
			Father.SetCharaPos( -37.0, -43.0)
			Father.SetRotY(Math.Deg2Rad(0.0))
			
			// }[ïʒuݒ
			Mother.SetCharaPos( 37.0, -43.0)
			Mother.SetRotY(Math.Deg2Rad(0.0))
			
			// [l̈ʒuݒ
			Sister.SetCharaPos( 37.0, -30.0)
			Sister.SetRotY(Math.Deg2Rad(0.0))
			
			// tN̈ʒuݒ
			Uncle.SetCharaPos( -37.0, -30.0)
			Uncle.SetRotY(Math.Deg2Rad(180.0))
			
		}
		// J̐ݒ
		{
			// J̈ʒuݒ
			camera.SetCameraPos( 0.0, 28.9, -60.3)
			// J̒_̈ʒuݒ
			camera.SetTargetPos( 0.0, 4.3, -103.8)
		}
		
		// u[P
		if (partnerIdStr == "Florist"&& eSex.eSex_Female == PersonalData.GetSex())
		{
			bride.AttachBouquet("EventBouquet_1");
			bride.SetAttachItemVisible(true);
			groom.AttachBouquet("EventBouquet_1");
			groom.SetAttachItemVisible(true);
		}
		else if (partnerIdStr != "Florist" && eSex.eSex_Female == PersonalData.GetSex())
		{
			bride.AttachBouquet("EventBouquet_1");
			bride.SetAttachItemVisible(true);
		}
	}
}

/**
 * Cxg
 */
function EventMain()
{
	EventInitialize()
	
	EventStartFirstFadeIn()
	
	// VYVw
	EventScene_Marriage_A_Admission()
	
	// ̌t
	EventScene_Marriage_A_Vow()
	
	// VYVwޏ
	EventScene_Marriage_A_Exit()
	
	// ҋ@
	Wait(60)
	
	// tF[hAEg
	FadeOutBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(60)
	
	EventEnd()

    if(EventFlag.GetEndFlag("Story_TownRank_Ending") ||
       EventFlag.GetEndFlag("Story_Ending_FarmRival")) {
        MiniMsg.CreateMiniMsg("System", "MES_UNLOCK_SPECIAL_CARD", 3, 0);
    }
}

/**
 * CxgFukĂ̌v
 */
function EventScene_Marriage_A_Admission() : (MSG_DATA, partnerIdStr)
{
	// ҋ@
	Wait(60)

	// ̖OibZ[Wp̓{\LjCHARANAME0ɑ
	MsgUtil.SetTransCharaNameW( 0, NpcConstData.GetDispNameW( ID.StringToNpcId(partnerIdStr) ) )
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"00_"+partnerIdStr)
	
	// ҋ@
	WaitInterval()
	
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_A_MARRIAGE_01")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
		}
	}
	else
	{	
		if (partnerIdStr == "Florist")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_A_MARRIAGE_01")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"01")
		}
	}
	
	// ҋ@
	WaitInterval()
	
		if(partnerIdStr == "Postman")
		{
			local chara_array = [ Doctor,Florist,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "Doctor")
		{
			local chara_array = [ Florist,Postman,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "Florist")
		{
			local chara_array = [ Doctor,Postman,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
	
	// ҋ@
	WaitInterval()
	
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[2F
 */
function EventScene_Marriage_A_Vow() : (MSG_DATA, partnerIdStr)

{
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 35.8, 85.5)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 6.1, 45.3)
	}
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// VYƐVw
	groom.Walk( -4.0, 50.0)
	bride.Walk( 4.0, 50.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// [VFwx
	groom.SetMotion( "Greeting")
	bride.SetMotion( "Greeting")
	while(!groom.Wait());
	while(!bride.Wait());
	
	// ҋ@
	WaitInterval()	
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 13.0, 24.8)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 8.8, 68.6)
	}
	
	// ҋ@
	WaitInterval()
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
		if(partnerIdStr == "Postman")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "Doctor")
		{
			//
			local chara_array = [ Postman,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "Florist")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Postman,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}	
	
	// ҋ@
	Wait(120)
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
	{
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 35.8, 85.5)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 6.1, 45.3)
	}	
	
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(10)
	
	// VYƐVw//SJ
	bride.Walk( 4.0, 37.5)
	groom.Walk( -4.0, 37.5)
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, 25.0)
	groom.Walk( -4.0, 25.0)
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ//CifȂ
	camera.SetCameraPos( -26.1, 26.0, 3.7)
	camera.SetTargetPos( 8.0, 2.4, 31.7)
	
	// ҋ@
	WaitInterval()
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// VYƐVw
	bride.Walk( 4.0, 12.5)
	groom.Walk( -4.0, 12.5)
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, 0.0)
	groom.Walk( -4.0, 0.0)
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ
	camera.SetCameraPos( 22.6, 27.3, -22.7)
	camera.SetTargetPos( -10.9, 5.9, 7.9)
	
		if(partnerIdStr == "Postman")
		{
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}
		else if(partnerIdStr == "Doctor")
		{
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}
		else if(partnerIdStr == "Florist")
		{
			//E
			local chara_array = [ Mother,Sister,Postman,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -45.0))
		}
	
	// ҋ@
	Wait(30)
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// VYƐVw
	bride.Walk( 4.0, -12.5)
	groom.Walk( -4.0, -12.5)
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, -25.0)
	groom.Walk( -4.0, -25.0)
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ//~_
	camera.SetCameraPos( -16.93, 24.54, -55.21)
	camera.SetTargetPos( -12.53, 20.04, -47.44)
	// ҋ@
	Wait(30)
	
		if(partnerIdStr == "Postman")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
		else if(partnerIdStr == "Doctor")
		{
			//
			local chara_array = [ Postman,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
		else if(partnerIdStr == "Florist")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLVY̕Ɍ
			MultiCharaWalkRotPos( chara_array, VEC3( 0.0, 0.0, -62.5))
		}
	
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// VYƐVw
	bride.Walk( 4.0, -37.5)
	groom.Walk( -4.0, -37.5)
	while(!bride.Wait()){}
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, -50.0)
	groom.Walk( -4.0, -50.0)
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// J̈ʒuĐݒ//
	camera.SetCameraPos( 12.88, 24.27, -82.18)
	camera.SetTargetPos( -3.12, 7.18, -52.24)
	
	// ҋ@
	Wait(15)
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// VYƐVw
	bride.Walk( 4.0, -62.5)
	groom.Walk( -4.0, -62.5)
	while(!bride.Wait()){}
	
	// ҋ@
	Wait(15)
	bride.Walk( 4.0, -75.0)
	groom.Walk( -4.0, -75.0)
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
	
		if(partnerIdStr == "Postman")
		{
			local chara_array = [ Doctor,Florist,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "Doctor")
		{
			local chara_array = [ Florist,Postman,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}
		else if(partnerIdStr == "Florist")
		{
			local chara_array = [ Doctor,Postman,RestHus,RestWife,RestOldman,AmericaFarmMan,
			AmericaFarmSon,StoreDa,StoreWoman,Witch,Goddes,Inari,Uncle,Father,Mother,Sister]
			// wLVY̕Ɍ
			MultiCharaWalkRotObj(chara_array, groom)
		}	
	
	// J̒Ǐ]
	camera.DetachTargetChara()
	
	// ҋ@
	Wait(30)
	
	// L̈ʒuw
	{
		// VŸʒuݒ
		groom.SetCharaPos( -4.0, -75.0)
		// VY̌ݒ
		groom.SetRotY(Math.Deg2Rad(180.0))
			
		// Vw
		bride.SetCharaPos( 4.0, -75.0)
		bride.SetRotY(Math.Deg2Rad(180.0))
		
		// \ECg̐ݒ
		local groomPos = groom.GetPos()
		soulmate.SetDirPos( groomPos.x, groomPos.z)
	}
	
	{
		// J̐ݒ
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 39.5, -32.8)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 15.9, -76.9)
	}

	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// ҋ@
	Wait(30)
	
	// ܂ƂߖVY̕
	CharaWalkRotObj(Summary, groom)

	// bZ[W
//	if (partnerIdStr == "Florist"&& eSex.eSex_Female == PersonalData.GetSex())
//	{
//		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05_"+partnerIdStr)
//	}
//	else if (partnerIdStr != "Florist" && eSex.eSex_Female == PersonalData.GetSex())
//	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+partnerIdStr)
//	}
	
	// l̐ʂŕ
//	if(eSex.eSex_Male == PersonalData.GetSex())
//	{
		// GtFNgFwyxVYɕ\
		PlayFukidashiEffect( groom, "Fukidashi_Fun")
		
		// ҋ@
		WaitInterval()
//	}
	// J̈ʒuĐݒ		:VY̑SgAbv
	camera.SetCameraPos( -6.65, 23.96, -100.80)
	camera.SetTargetPos( -2.14, 7.32, -66.86)
	
	// ҋ@
	Wait(60)

	// bZ[W
//	if (partnerIdStr != "Florist")
//	{
//		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+partnerIdStr)
	
//	}
//	else 
//	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03_"+partnerIdStr)

//	}
		
	// ҋ@
	WaitInterval()
		
	// J̈ʒuĐݒ		:̃Jʒu
	camera.SetCameraPos( 0.0, 39.5, -32.8)
	camera.SetTargetPos( 0.0, 15.9, -76.9)
		
	// ҋ@
	Wait(30)
		
	// GtFNgFwn[gxVYɕ\
	PlayFukidashiEffect( groom, "Fukidashi_Heart")
	
	// l̐ʂŕ
	if(eSex.eSex_Male == NpcGenderCheck(partnerIdStr))
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04_"+partnerIdStr)
		
		// ҋ@
		WaitInterval()
	}
		
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
		
	// ܂ƂߖVw̕
	CharaWalkRotObj(Summary, bride)
		
	// bZ[W
//	if (partnerIdStr != "Florist")
//	{
//		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"02_"+partnerIdStr)

//	}
//	else 
//	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"05_"+partnerIdStr)
	
//	}
		
	// ҋ@
	WaitInterval()
	
	// l̐ʂŕ
//	if(eSex.eSex_Female == NpcGenderCheck(partnerIdStr))
//	{
		// GtFNgFwyxVYɕ\
		PlayFukidashiEffect( bride, "Fukidashi_Fun")
		
		// ҋ@
		WaitInterval()
//	}
		
	// J̈ʒuĐݒ		:Vw̑SgAbv
	camera.SetCameraPos( 7.45, 23.96, -100.80)
	camera.SetTargetPos( 2.96, 7.32, -66.86)
		
	// ҋ@
	Wait(60)
		
	// bZ[W
//	if (partnerIdStr != "Florist")
//	{
//		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"03_"+partnerIdStr)

//	}
//	else 
//	{
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"06_"+partnerIdStr)

//	}
		
	// ҋ@
	WaitInterval()
		
	// J̈ʒuĐݒ		:̃Jʒu
	camera.SetCameraPos( 0.0, 39.5, -32.8)
	camera.SetTargetPos( 0.0, 15.9, -76.9)
		
	// ҋ@
	Wait(30)
		
	// GtFNgFwn[gxVwɕ\
	PlayFukidashiEffect( bride, "Fukidashi_Heart")
		
	// ҋ@
	WaitInterval()
	
	
	// l̐ʂŕ
	if(eSex.eSex_Female == NpcGenderCheck(partnerIdStr))
	{
		// bZ[W
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"04_"+partnerIdStr)
		
		// ҋ@
		WaitInterval()
	}
	
	// SEF
	local handle = Sound.PlaySE("Waaaah");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// ܂Ƃߖʂ
	CharaWalkRotDeg(Summary, 0)
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"07")
	
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_A_MARRIAGE_08")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
		}
	}
	else
	{	
		if (partnerIdStr == "Florist")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_A_MARRIAGE_08")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"08")
		}
	}
	
	// SEF
	handle = Sound.PlaySE("Waaaah");
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_MAN_LOVE_A_MARRIAGE_09")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
		}
	}
	else
	{	
		if (partnerIdStr == "Florist")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_WOMAN_LOVE_A_MARRIAGE_09")
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"09")
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// VYƐVw
	CharaWalkRotFace2Face( groom, bride, 10)
	
	// Jړ
	camera.MoveCamera( VEC3( 0.0, 32.4, -46.0), 90)
	camera.MoveTarget( VEC3( 0.0, 15.9, -76.9), 90)
	while(!camera.Wait()){}
	
	// ҋ@
	Wait(20)
	
	// [VFwLXx
	{
		// [VFwLXx
		if (partnerIdStr == "Florist"&& eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "WeddingKiss")
		}
		else if (partnerIdStr != "Florist" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "Kiss")
		}
		else
		{
			groom.SetMotion( "Kiss")
			bride.SetMotion( "Kiss")
		}
		
		// ҋ@
		Wait(20)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!bride.Wait());
	}
	
	// ҋ@
	WaitInterval()
	
	// SEF̉
	handle = Sound.PlaySE("Weding_Bell");
	
	// ҋ@
	Wait(60)

	// Jړ
	camera.MoveCamera( VEC3( 0.0, 39.5, -32.8), 90)
	camera.MoveTarget( VEC3( 0.0, 15.9, -76.9), 90)
	while(!camera.Wait()){}
	
	// SEF
	handle = Sound.PlaySE("Waaaah");
	// SEF
	handle = Sound.PlaySE("Applause");
	// SEFI҂
	while(!Sound.IsEndSE(handle));
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// tF[hAEg
	FadeOutUpBlack()
	while(!Fade.Wait()){}
}

/**
 * V[3:
 */
function EventScene_Marriage_A_Exit() : (MSG_DATA, partnerIdStr)

{
	{
		if(partnerIdStr == "Postman")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
			
		}
		else if(partnerIdStr == "Doctor")
		{
			//
			local chara_array = [ Postman,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Florist,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}
		else if(partnerIdStr == "Florist")
		{
			//
			local chara_array = [ Doctor,RestHus,RestWife,RestOldman,Witch,Goddes,Uncle,Father]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 90)
			//E
			local chara_array = [ Mother,Sister,Postman,AmericaFarmMan,AmericaFarmSon,StoreDa,StoreWoman,Inari]
			// wLɌ
			MultiCharaWalkRotDeg(chara_array, 270)
		}			
		
		// VY̌ݒ
		groom.SetRotY(Math.Deg2Rad(0.0))
		// Vw
		bride.SetRotY(Math.Deg2Rad(0.0))
		
		// \ECg̐ݒ
		soulmate.SetRotY(Math.Deg2Rad(270.0))
		
		// J̈ʒuݒ
		camera.SetCameraPos( 0.0, 52.0, -27.0)
		// J̒_̈ʒuݒ
		camera.SetTargetPos( 0.0, 18.9, -67.9)
	}
	
	// JǏ]		F̃Jݒ̂܂ܒǏ]
	camera.AttachTargetChara( groom, VEC3( 0.0, 0.0, 0.0))
	
	// ҋ@
	Wait(30)
	
	// tF[hC
	FadeInUpBlack()
	while(!Fade.Wait()){}
	
	// VYƐVw
	groom.Walk( -4.0, -36.5)
	bride.Walk( 4.0, -36.5)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_A_MARRIAGE_10_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+partnerIdStr)
		}
	}
	else
	{	
		if (partnerIdStr == "Florist")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_A_MARRIAGE_10_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"10_"+partnerIdStr)
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	Father.SetMotion( "SeedOnce")
	Mother.SetMotion( "SeedOnce")
	Uncle.SetMotion( "SeedOnce")
	Sister.SetMotion( "SeedOnce")
	while(!Father.Wait());
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()	
	
	// VYƐVw
	groom.Walk( -4.0, -10.5)
	bride.Walk( 4.0, -10.5)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_A_MARRIAGE_11_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11_"+partnerIdStr)
		}
	}
	else
	{	
		MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"11_"+partnerIdStr)
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	RestHus.SetMotion( "SeedOnce")
	AmericaFarmMan.SetMotion( "SeedOnce")
		if(partnerIdStr == "Postman")
		{
			// [V܂
			Doctor.SetMotion( "SeedOnce")
			
			// VFbg܂
			Florist.SetMotion( "SeedOnce")
		}
		else if(partnerIdStr == "Doctor")
		{
			// \܂
			Postman.SetMotion( "SeedOnce")
			
			// VFbg܂
			Florist.SetMotion( "SeedOnce")
			
		}
		else if(partnerIdStr == "Florist")
		{
			// [V܂
			Doctor.SetMotion( "SeedOnce")
			
			// \܂
			Postman.SetMotion( "SeedOnce")
		}			
	while(!RestHus.Wait());
			
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()	
	
	// VYƐVw
	groom.Walk( -4.0, 15.5)
	bride.Walk( 4.0, 15.5)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
	
	// bZ[W
	if (eSex.eSex_Male == PersonalData.GetSex())
	{
		if (partnerIdStr != "Florist")
		{		
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_A_MARRIAGE_13_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13_"+partnerIdStr)
		}
	}
	else
	{	
		if (partnerIdStr == "Florist")
		{
			MsgUtil.OpenMsg( "Wild_Animal_Thanks", "MES_EV_LOVE_A_MARRIAGE_13_"+partnerIdStr)
		}
		else
		{
			MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"13_"+partnerIdStr)
		}
	}
	
	// ҋ@
	WaitInterval()
	
	// [VFw܂x
	RestWife.SetMotion( "SeedOnce")
	RestOldman.SetMotion( "SeedOnce")
	AmericaFarmSon.SetMotion( "SeedOnce")
	StoreDa.SetMotion( "SeedOnce")
	StoreWoman.SetMotion( "SeedOnce")
	while(!RestWife.Wait());
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")
	
	// ҋ@
	WaitInterval()	
	
	// VYƐVw
	groom.Walk( -4.0, 35.0)
	bride.Walk( 4.0, 35.0)
	while(!groom.Wait()){}
	while(!bride.Wait()){}
		
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"16")
	
	// ҋ@
	WaitInterval()
	
	// [VFw@x
	Witch.SetMotion( "Magic")
	Goddes.SetMotion( "Magic")
	Inari.SetMotion( "Magic")

	// ҋ@
	Wait(30)
	
	// SEF̉
	local handle = Sound.PlaySE("Weding_Bell");	
	
	
	// GtFNgFwԂтx\		pŁwLLxVYɕ\
	MultiCharaEmotion( [groom, bride], "Fukidashi_Kirakira")

	while(!Inari.Wait());
	
	// ҋ@
	WaitInterval()
	
	// J̒Ǐ]
	camera.DetachTargetChara()	
	
	// Jړ
	camera.MoveCamera( VEC3( 0.00, 35.71, 62.79 ), 90)
	camera.MoveTarget( VEC3( 0.00, 18.97, 42.10 ), 90)
	while(!camera.Wait()){}
	
	// ҋ@
	WaitInterval()
	
	// VYƐVw
	CharaWalkRotFace2Face( groom, bride, 10)
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	
	// ҋ@
	WaitInterval()
	
	// bZ[W
	MsgUtil.OpenMsg( MSG_DATA.Name, MSG_DATA.ID+"17_"+partnerIdStr)
	
	// ҋ@
	WaitInterval()
	
	// [VFwLXx
	{
		// [VFwLXx
		if (partnerIdStr == "Florist"&& eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "WeddingKiss")
		}
		else if (partnerIdStr != "Florist" && eSex.eSex_Female == PersonalData.GetSex())
		{
			groom.SetMotion( "WeddingKiss")
			bride.SetMotion( "Kiss")
		}
		else
		{
			groom.SetMotion( "Kiss")
			bride.SetMotion( "Kiss")
		}
		
		// ҋ@
		Wait(20)
		
		// SEFLX
		local handle = Sound.PlaySE("Kiss");
		// SEFI҂
		while(!Sound.IsEndSE(handle));
		while(!bride.Wait());
	}
	
	// ҋ@
	WaitInterval()
	
	// GtFNgFwn[gxVYAVwɕ\
	groom.SetEffect("Fukidashi_Heart")
	bride.SetEffect("Fukidashi_Heart")
	while(!groom.WaitEffect());
	
	// J̒Ǐ]
//	camera.DetachTargetChara()
	
	while(!Sound.IsEndSE(handle));
}

/**
 * CxgI
 */
function EventEnd() : (EventName)
{
	EventFinalizeCommon(EventName)
	
	local partnerIdStr = GetMarriageNpc()		// ID擾
	
	// fobON̑Ή. 肪ȂƎsłȂ
	if(partnerIdStr != null)
	{
		// ̃X^bt[̌Ăяo
		// X^bt[ցEEE
		MainStaffrollWedding()
	}
	
	// IɌĂ
	FinalizeStaffrollWedding()
	
	// `[gAĂэ
	EventManager.HoldNextEvent("Tutorial_Marriage");
	MainGameStateChanger.MapChangeAppointMap( EventConstData.GetStartMapStr(EventManager.GetNextEventIdStr()));
}

